%define upstream_name    Apache-DBI
%define upstream_version 1.11

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Initiate a persistent database connection
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Apache/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(DBI) >= 1.0.0
BuildRequires: perl(Digest::MD5) >= 2.200.0
BuildRequires: perl(Digest::SHA1) >= 2.10.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
This module initiates a persistent database connection.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%files
%doc Changes META.yml README TODO eg
%{perl_vendorlib}/Apache
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.110.0-2.mga3
+ Revision: 362948
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Oct 13 2011 jquelin <jquelin> 1.110.0-1.mga2
+ Revision: 154259
- update to 1.11

* Fri Feb 18 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 53710
- update to 1.10

* Sun Jan 23 2011 jquelin <jquelin> 1.90.0-1.mga1
+ Revision: 33576
- mageia rebuild
- imported package perl-Apache-DBI

